spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | List of all members
spot::printable_value< T > Class Template Reference
Inheritance diagram for spot::printable_value< T >:
Collaboration diagram for spot::printable_value< T >:

## Public Member Functions
const T & | val () const
T & | val ()
| operator const T & () const
| operator T & ()
printable_value & | operator= (const T &new_val)
printable_value & | operator= (T &&new_val)
virtual void | print (std::ostream &os, const char *) const override

## Protected Attributes
T | val_

The documentation for this class was generated from the following file:

- spot/misc/formater.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.